## codraft 2.2.1

=== dev/requirements.txt ===
guidata
guiqwt
PythonQwt
scikit-image
psutil
pylint
black
pycodestyle
pyinstaller
sphinx
sphinx-rtd-theme
sphinx-intl
esbonio
rstcheck
doc8
twine

=== debian/changelog ===
codraft (2.2.1-3) unstable; urgency=medium

  * Source-only upload for migration to testing.

 -- Roland Mas <lolando@debian.org>  Fri, 05 Jan 2024 12:51:27 +0100

codraft (2.2.1-2) unstable; urgency=medium

  * Document CC-BY-SA license for a couple of images.
  * Update patch to port to current guidata

 -- Roland Mas <lolando@debian.org>  Sat, 11 Nov 2023 16:43:51 +0100

codraft (2.2.1-1) unstable; urgency=low

  * Initial release, autogenerated by py2dsp/3.20230219 then tweaked by hand.

 -- Roland Mas <lolando@debian.org>  Tue, 25 Jul 2023 01:37:51 +0200

=== debian/control ===
Source: codraft
Section: python
Priority: optional
Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
Uploaders:
 Debian Python Team <team+python@tracker.debian.org>,
 Roland Mas <lolando@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
	       pybuild-plugin-pyproject,
	       python3-setuptools,
	       python3-h5py,
	       python3-guidata,
	       python3-guiqwt,
	       python3-skimage,
Standards-Version: 4.6.2.0
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://codra-ingenierie-informatique.github.io/CodraFT/
Vcs-Git: https://salsa.debian.org/python-team/packages/codraft.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/codraft
Rules-Requires-Root: no

Package: python3-codraft
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3
Description: Signal and image processing software
 CodraFT is a generic signal and image processing software based on
 Python scientific libraries (such as NumPy, SciPy or scikit-image)
 and Qt graphical user interfaces (thanks to guidata and guiqwt.
 .
 CodraFT stands for "CODRA Filtering Tool".
 .
 CodraFT is available as a stand-alone application or as an addon to
 your Python-Qt application thanks to advanced automation and
 embedding features.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=codraft
export PYBUILD_SYSTEM=pyproject
%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.]*@ARCHIVE_EXT@)/@PACKAGE@-$1/ \
https://github.com/Codra-Ingenierie-Informatique/CodraFT/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
